--- inkscape-1.4_2024-10-09_e7c3feb100/src/live_effects/lpe-lattice.cpp.orig
+++ inkscape-1.4_2024-10-09_e7c3feb100/src/live_effects/lpe-lattice.cpp
@@ -137,7 +137,7 @@
                         // corner = actual corner of the rectangle
                         // origin = Upperleft point
                         double dl = dot((*handles[corner+4*i] - (base + origin)), dir)/dot(dir,dir);
-                        sb2[dim][i][corner] = dl/( dim ? height : width )*pow(4.0,ui+vi);
+                        sb2[dim][i][corner] = dl/( dim ? height : width )*pow(4.0, (int) (ui+vi));
                     }
                 }
             }
--- inkscape-1.4_2024-10-09_e7c3feb100/src/live_effects/lpe-lattice2.cpp.orig
+++ inkscape-1.4_2024-10-09_e7c3feb100/src/live_effects/lpe-lattice2.cpp
@@ -195,7 +195,7 @@
                         // corner = actual corner of the rectangle
                         // origin = Upperleft point
                         double dl = dot((handles[corner+4*i] - (base + origin)), dir)/dot(dir,dir);
-                        sb2[dim][i][corner] = dl/( dim ? height : width )*pow(4.0,ui+vi);
+                        sb2[dim][i][corner] = dl/( dim ? height : width )*pow(4.0, int(ui+vi));
                     }
                 }
             }
